#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long p,q,r,L,R;
    cin>>p>>q>>r>>L>>R;
    int co=0;
    for(float i=L;i<=R;i++)
    {

        if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i){;co++;}
    }
    cout<<co;
    return 0;
}